Skip to main content

List bounty submissions

List all submissions for a specific bounty in your partner program.
1 min read
get/bounties/{bountyId}/submissions
Request example
Response
get/bounties/{bountyId}/submissions

Authorization

Authorizationstringheaderrequired#
Default authentication mechanism

Path parameters

bountyIdstringrequired#
The unique ID of the bounty on Dub. Can be found in the URL of the bounty page, prefixed with bnty_.

Query parameters

statusenum<string>#
The status of the submissions to list.
Options:draftsubmittedapprovedrejected
groupIdstring#
The ID of the group to list submissions for.
partnerIdstring#
The ID of the partner to list submissions for.
sortByenum<string>#
The field to sort the submissions by.

Default: "completedAt"

Options:completedAtperformanceCountsocialMetricCount
sortOrderenum<string>#
The order to sort the submissions by.

Default: "asc"

Options:ascdesc
pageinteger#
The page number for pagination. The first page is 1.

Range: true < x <= 9007199254740991

pageSizeinteger#
The number of items per page.

Default: 100

Range: true < x <= 100

Responses

application/json
The list of bounty submissions.
idstringrequired#
The ID of the bounty submission
bountyIdstringrequired#
The ID of the bounty
partnerIdstringrequired#
The ID of the partner
descriptionstringrequired#
The description of the submission
urlsstring[]required#
The URLs submitted for the submission
filesobject[]required#
The files uploaded for the submission
Show child attributes
urlstringrequired#
The URL of the uploaded file.
fileNamestringrequired#
The original file name.
sizenumberrequired#
The file size in bytes.
statusenum<string>required#
The status of the submission
Options:draftsubmittedapprovedrejected
performanceCountnumberrequired#
The performance count of the submission
socialMetricCountintegerrequired#
The social metric count (views or likes) for the social content

Range: -9007199254740991–9007199254740991

socialMetricsLastSyncedAtstring#
The date and time the submission's social metrics were last synced
createdAtstringrequired#
The date and time the submission was created
completedAtstringrequired#
The date and time the submission was completed
reviewedAtstringrequired#
The date and time the submission was reviewed
rejectionReasonstringrequired#
The reason for rejecting the submission
rejectionNotestringrequired#
The note for rejecting the submission
periodNumberintegerrequired#
The period number for this submission (1-indexed)

Range: 1–9007199254740991